#ifndef CHANNEL_H
#define CHANNEL_H

#define MAX_CHANNEL 50

struct channel {
  int active;
  char s[MAX_CHANNEL];
};

struct member_list;
struct client;

void channel_members(const char* name, struct member_list* members);
void channel_message_start(struct member_list* m, struct client *from,
    const char* s);
void channel_puts(struct member_list* m, const char* s);
void channel_put(struct member_list* m, const char* s, unsigned int len);

struct token;
void channel_commalist_parsenext(struct token* list, char *name);

struct channel_list;
void channel_list_all(struct channel_list* c);

#endif /* CHANNEL_H */
